%define upstream_name Log-Agent
%define upstream_version 1.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Logging agent 
License:    GPL or Artistic
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/authors/id/M/MR/MROGASKI/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Array)
BuildArch:  noarch

%description
Log::Agent is a general logging framework aimed at reusable modules.

%prep

%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc META.json MYMETA.yml README
%{perl_vendorlib}/Log
%{perl_vendorlib}/auto/Log
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.5.0-3.mga10
+ Revision: 2207055
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.5.0-2.mga9
+ Revision: 1814338
- Mageia 9 Mass Rebuild

* Tue Apr 13 2021 tv <tv> 1.5.0-1.mga9
+ Revision: 1715667
- update to 1.005

* Thu Feb 25 2021 tv <tv> 1.4.0-1.mga9
+ Revision: 1690249
- update to 1.004

* Wed Feb 12 2020 umeabot <umeabot> 1.3.0-3.mga8
+ Revision: 1504968
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1284511
- Mageia 7 Mass Rebuild

* Sat Nov 11 2017 tv <tv> 1.3.0-1.mga7
+ Revision: 1176890
- update to 1.003

* Sun Oct 29 2017 tv <tv> 1.2.0-1.mga7
+ Revision: 1174556
- update to 1.002

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-2.mga6
+ Revision: 1029293
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.1.0-1.mga6
+ Revision: 1002109
- New version 1.001

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-6.mga6
+ Revision: 949892
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 790561
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 750512
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 685253
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 531957
- Mageia 4 Mass Rebuild

* Tue Aug 13 2013 sander85 <sander85> 1.0.0-1.mga4
+ Revision: 466064
- update to 1.000

* Mon Aug 12 2013 sander85 <sander85> 0.308.0-1.mga4
+ Revision: 465813
- update to 0.308
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.307-3.mga1
+ Revision: 30739
- mageia rebuild
- imported package perl-Log-Agent


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.307-3mdv2010.0
+ Revision: 430482
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.307-2mdv2009.0
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 0.307-2mdv2008.0
+ Revision: 21206
- Rebuild, use %%mkrel


* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.307-1mdk
- New release 0.307
- spec cleanup
- better url
- better summary
- enable tests

* Fri Dec 10 2004 Michael Scherer <misc@mandrake.org> 0.306-1mdk
- compress to bz2
- do not own standard dir
- from Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 
  - initial contrib.

